Go to the latest version of this document.

# ``twisted`.`protocols`.`sip`.`ILocator``

interface documentation

`class ILocator(Interface): (source)`

Known implementations: `twisted.protocols.sip.InMemoryRegistry`

View In Hierarchy

Allow looking up physical address for logical URL.

Method | `getAddress` | Return physical URL of server for logical URL of user.

def getAddress(logicalURL): (source)

Return physical URL of server for logical URL of user.

Parameters
logicalURL | a logical `URL`.

Returns
Deferred which becomes URL or fails with LookupError.